contribs: libplacebo: Fix finding glslang
authorMartin Storsjö <martin@martin.st>
Sat, 8 Dec 2018 15:12:11 +0000 (17:12 +0200)
committerMartin Storsjö <martin@martin.st>
Sat, 8 Dec 2018 15:21:19 +0000 (17:21 +0200)
The patch was rebased incorrectly in 9948a6de.

contrib/src/libplacebo/0001-meson-fix-glslang-search-path.patch

index 9c21000..7da08a6 100644 (file)
@@ -1,14 +1,14 @@
-From f3809023b90a8399dd40edadbd92c9d436b25842 Mon Sep 17 00:00:00 2001
+From 0897b34f63ffe5532b988bc9ab2783102baca653 Mon Sep 17 00:00:00 2001
 From: Thomas Guillem <thomas@gllm.fr>
 Date: Wed, 24 Oct 2018 10:28:55 +0200
 Subject: [PATCH] meson: fix glslang search path
 
 ---
- src/meson.build | 20 ++++++++++++++++++--
- 1 file changed, 18 insertions(+), 2 deletions(-)
+ src/meson.build | 24 ++++++++++++++++--------
+ 1 file changed, 16 insertions(+), 8 deletions(-)
 
 diff --git a/src/meson.build b/src/meson.build
-index be1f0aa..e558b06 100644
+index be1f0aa..e6db1f9 100644
 --- a/src/meson.build
 +++ b/src/meson.build
 @@ -42,6 +42,12 @@ build_opts = [
@@ -24,22 +24,26 @@ index be1f0aa..e558b06 100644
  
  cc = meson.get_compiler('c')
  cxx = meson.get_compiler('cpp')
-@@ -128,6 +134,14 @@ endif
- glslang_combined = disabler()
- glslang_min_ver = 2763
- glslang_req = get_option('glslang')
-+glslang_deps = [
-+  cxx.find_library('glslang',     dirs: prefix_lib, required: glslang_req),
-+  cxx.find_library('HLSL',        dirs: prefix_lib, required: glslang_req),
-+  cxx.find_library('OGLCompiler', dirs: prefix_lib, required: glslang_req),
-+  cxx.find_library('OSDependent', dirs: prefix_lib, required: glslang_req),
-+  cxx.find_library('SPIRV',       dirs: prefix_lib, required: glslang_req),
-+  cxx.find_library('SPVRemapper', dirs: prefix_lib, required: glslang_req),
-+]
+@@ -139,12 +145,12 @@ if glslang_req.auto() and shaderc.found()
+ else
  
- if glslang_req.auto() and shaderc.found()
+   glslang_deps = [
+-    cxx.find_library('glslang',     required: glslang_req),
+-    cxx.find_library('HLSL',        required: glslang_req),
+-    cxx.find_library('OGLCompiler', required: glslang_req),
+-    cxx.find_library('OSDependent', required: glslang_req),
+-    cxx.find_library('SPIRV',       required: glslang_req),
+-    cxx.find_library('SPVRemapper', required: glslang_req),
++    cxx.find_library('glslang',     dirs: prefix_lib, required: glslang_req),
++    cxx.find_library('HLSL',        dirs: prefix_lib, required: glslang_req),
++    cxx.find_library('OGLCompiler', dirs: prefix_lib, required: glslang_req),
++    cxx.find_library('OSDependent', dirs: prefix_lib, required: glslang_req),
++    cxx.find_library('SPIRV',       dirs: prefix_lib, required: glslang_req),
++    cxx.find_library('SPVRemapper', dirs: prefix_lib, required: glslang_req),
+   ]
  
-@@ -156,7 +170,8 @@ endif
+   glslang_found = true
+@@ -156,7 +162,8 @@ endif
  
  if glslang_found
    glslang_ver = cxx.get_define('GLSLANG_PATCH_LEVEL',
@@ -49,7 +53,7 @@ index be1f0aa..e558b06 100644
    ).to_int()
  
    if glslang_ver >= glslang_min_ver
-@@ -166,7 +181,8 @@ if glslang_found
+@@ -166,7 +173,8 @@ if glslang_found
      # -pthread) doesn't work. We actually need -lpthreads for the glslang
      # object files to link, for whatever weird reason.
      pthread = cxx.find_library('pthread', required: false)
@@ -60,5 +64,5 @@ index be1f0aa..e558b06 100644
      error('glslang revision @0@ too old! Must be at least @1@'
            .format(glslang_ver, glslang_min_ver))
 -- 
-2.19.2
+2.7.4